> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Product Hunt Reviews

> This endpoint is used to fetch reviews from a Product Hunt product specified by its query name.



## OpenAPI

````yaml POST /product-hunt/reviews
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /product-hunt/reviews:
    post:
      description: >-
        This endpoint is used to fetch reviews from a Product Hunt product
        specified by its query name.
      requestBody:
        description: Product Hunt review scraping parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProductHuntReviewsRequest'
        required: true
      responses:
        '200':
          description: Reviews fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductHuntReviewsResponse'
              examples:
                validationError:
                  value:
                    all_reviews: []
                    extra_information: {}
                    message: <string>
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    error: <string>
      servers:
        - url: https://py-api.hobbo.ai
components:
  schemas:
    ProductHuntReviewsRequest:
      type: object
      required:
        - query
      properties:
        query:
          type: string
          description: Provide proper product_hunt profile URL or product_slug.
        sort_type:
          type: string
          description: Order in which reviews should be sorted
          enum:
            - best
            - favorable
            - critical
          default: best
        filter_type:
          type: integer
          description: Filter type for reviews
        reviews_to_fetch:
          type: number
          description: >-
            Number of reviews to fetch (default: all reviews, or within
            30-second timeout)
        pagination_token:
          type: string
          description: >-
            The next page index for fetching paginated reviews, from previous
            API response
        is_text_formatted:
          type: boolean
          description: 'returns the review text with visual formatting preserved '
        sync_date:
          type: string
          description: 'Fetches reviews posted on a specific date using format: YYYY-MM-DD'
    ProductHuntReviewsResponse:
      type: object
      properties:
        all_reviews:
          type: array
          description: Array of fetched reviews
          items:
            type: object
            properties:
              author_badge:
                type:
                  - string
                  - 'null'
                description: Badge of the review author, if available
              author_company_link:
                type:
                  - string
                  - 'null'
                description: Link to the author's company, if available
              author_compnay_name:
                type: string
                description: Company namet of the author
              author_company_profile_image_url:
                type: string
                description: URL to the author's company profile image
              author_name:
                type: string
                description: Name of the review author
              author_profile_image_url:
                type: string
                description: URL to the author's HD profile image
              author_profile_image_url_org:
                type: string
                description: URL to the author's profile image
              author_profile_url:
                type: string
                description: URL to the author's profile
              author_reviews_count:
                type: string
                description: Number of reviews by the author
              replies_count:
                type: string
                description: Number of replies to the comment
              helpful_vote_count:
                type: string
                description: Helpful vote count for the review
              query:
                type: string
                description: Original query URL
              review_date:
                type: string
                description: Date when the review was posted
              review_id:
                type: string
                description: ID of the review
              review_rating:
                type: number
                description: Rating given in the review
              is_ambassador:
                type: boolean
                description: Check if author is ambassador
              is_verified:
                type: boolean
                description: Check if author's profile is verified
              is_hidden:
                type: boolean
                description: Check if author is logged in or not
              author_badges:
                type: string
                description: Badge of the author if available
              review_reply:
                type: object
                properties:
                  replier_name:
                    type: string
                    description: Name of the person who replied
                  replier_username:
                    type: string
                    description: Username of the person who replied
                  reply_url:
                    type: string
                    description: URL to the reply
                  reply_date:
                    type: string
                    description: Date of the reply
                  reply_id:
                    type: string
                    description: ID of the reply
                  replier_id:
                    type: string
                    description: ID of the replier
                  replier_profile_image_url:
                    type: string
                    description: URL to the replier's HD profile image
                  replier_profile_image_url_org:
                    type: string
                    description: URL to the replier's profile image
                  replier_profile_url:
                    type: string
                    description: URL to the replier's profile
                  reply_badges:
                    type: string
                    description: Badge of the reply author if available
                  reply_text:
                    type: string
                    description: Text content of the reply
                  is_pinned:
                    type: boolean
                    description: Check if reply is pinned
                  approval_status:
                    type: boolean
                    description: Check if the reply is approved by author
                  replier_is_ambassador:
                    type: boolean
                    description: Check if replier is ambassador
                  replier_is_verified:
                    type: boolean
                    description: Check if replier's profile is verified
                  upvote_count:
                    type: string
                    description: Number of upvotes for the reply
                description: Reply to the review if available
              review_text:
                type:
                  - string
                  - 'null'
                description: Content of the review
              review_url:
                type: string
                description: URL to the review
        extra_information:
          type: object
          properties:
            extra_information:
              type: array
              description: Additional metadata about the product and reviews
              items:
                type: object
            total_review_count:
              type: integer
              description: Total number of reviews fetched
            total_review_count_list:
              type: array
              items:
                type: integer
              description: List of review counts
        message:
          type: string
          description: Status message about the review extraction
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````